let min, stunde;

function setup() {
  const meinCanvas = createCanvas(1050, 565);
  meinCanvas.parent("canvasContainer");

  frameRate(1);
}

function draw() {
  background(0);

  min = minute();
  stunde = hour();

  // zum Testen auskommentieren und verschiedene Minuten- und Stundenwerte eingeben
  // min = 57;
  // stunde = 12;

  // wenn Uhrzeit > 12 ist, 12 abziehen, sonst Stundenstriche doppelt
  if (stunde > 12) {
    stunde = stunde - 12;
  }

  fill("rgba(255,255,255,0.2)");
  textSize(167);
  textLeading(145);
  textStyle(BOLD);
  text(ausgabeTextErzeugen(), -10, -8, width);

  // damit man sieht, dass die Uhr läuft
  sekundenBlink();
}

function ausgabeTextErzeugen() {
  // let anfang = "es ist \n";

  let ausgabe = stundenText() + " UHR " + minutenText();
  return ausgabe;
}

function minutenText() {
  // umwandeln der min in einen String
  // um die Länge abzufragen
  let minString = min.toString();

  let minErsteStelle, minZweiteStelle;

  if (minString.length < 2) {
    // einstellige Minuten
    minErsteStelle = "0"; // besonderer Eintrag, weil hier die 1. Stelle nicht vorhanden ist!
    minZweiteStelle = minString.charAt(0);
  } else {
    minErsteStelle = minString.charAt(0);
    minZweiteStelle = minString.charAt(1);
  }

  // console.log(minErsteStelle, minZweiteStelle);

  // ============== Ausgabe der zweiten Stelle als Text ==============

  let minErsteStelleText;

  switch (minErsteStelle) {
    case "0":
      minErsteStelleText = "NULL";
      break;
    case "1":
      minErsteStelleText = "ZEHN";
      break;
    case "2":
      minErsteStelleText = "ZWANZIG";
      break;
    case "3":
      minErsteStelleText = "DREIZIG";
      break;
    case "4":
      minErsteStelleText = "VIERZIG";
      break;
    case "5":
      minErsteStelleText = "FÜNFZIG";
      break;
    default:
      console.log("Sorry, Fehler!");
  }

  // ============== Ausgabe der zweiten Stelle als Text ==============

  let minZweiteStelleText;

  switch (minZweiteStelle) {
    case "0":
      minZweiteStelleText = "NULL";
      break;
    case "1":
      minZweiteStelleText = "EINS";
      break;
    case "2":
      minZweiteStelleText = "ZWEI";
      break;
    case "3":
      minZweiteStelleText = "DREI";
      break;
    case "4":
      minZweiteStelleText = "VIER";
      break;
    case "5":
      minZweiteStelleText = "FÜNF";
      break;
    case "6":
      minZweiteStelleText = "SECHS";
      break;
    case "7":
      minZweiteStelleText = "SIEBEN";
      break;
    case "8":
      minZweiteStelleText = "ACHT";
      break;
    case "9":
      minZweiteStelleText = "NEUN";
      break;
    default:
      console.log("Sorry, Fehler!");
  }

  // ============= Generieren des richtigen Ausgabetextes =============

  let minuten_Text;
  if (minString.length < 2) {
    minuten_Text = `${minZweiteStelleText}`;
  } else if (minZweiteStelle == 0) {
    minuten_Text = `${minErsteStelleText}`;
  } else if (minErsteStelle == 1 && minZweiteStelle == 1) {
    minuten_Text = "ELF";
  } else if (minErsteStelle == 1 && minZweiteStelle == 2) {
    minuten_Text = "ZWÖLF";
  } else if (minErsteStelle == 1) {
    minuten_Text = `${minZweiteStelleText}${minErsteStelleText}`;
  } else {
    minuten_Text = `${minZweiteStelleText} UND ${minErsteStelleText}`;
  }

  return minuten_Text;
  // console.log(minErsteStelle, minZweiteStelle);
}

function stundenText() {
  let stunden_Text;

  switch (stunde) {
    case 0:
      stunden_Text = "NULL";
      break;
    case 1:
      stunden_Text = "EIN";
      break;
    case 2:
      stunden_Text = "ZWEI";
      break;
    case 3:
      stunden_Text = "DREI";
      break;
    case 4:
      stunden_Text = "VIER";
      break;
    case 5:
      stunden_Text = "FÜNF";
      break;
    case 6:
      stunden_Text = "SECHS";
      break;
    case 7:
      stunden_Text = "SIEBEN";
      break;
    case 8:
      stunden_Text = "ACHT";
      break;
    case 9:
      stunden_Text = "NEUN";
      break;
    case 10:
      stunden_Text = "ZEHN";
      break;
    case 11:
      stunden_Text = "ELF";
      break;
    case 12:
      stunden_Text = "ZWÖLF";
      break;
    default:
      console.log("Sorry,Fehler!");
  }
  return stunden_Text;
}

let sichtbar = 0;
function sekundenBlink() {
  if (sichtbar == 0) {
    sichtbar = 1;
    noStroke();
    fill("hsl(0,60%,40%)");
    rect(width - 25, 0, width - 25, height);
  } else {
    sichtbar = 0;
  }
}
